package cn.com.qmth.examcloud.commons.util;

import java.io.File;
import java.util.Arrays;
import java.util.Comparator;

/**
 * 文件工具
 *
 * @author WANGWEI
 * @date 2019年12月3日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class FileUtil {

	/**
	 * 排序
	 *
	 * @author WANGWEI
	 * @param files
	 */
	public static void sortByLastUpdateTime(File... files) {
		Arrays.sort(files, new Comparator<File>() {
			public int compare(File f1, File f2) {
				long diff = f1.lastModified() - f2.lastModified();
				if (diff > 0)
					return 1;
				else if (diff == 0)
					return 0;
				else
					return -1;
			}
		});
	}

}
